commit:     bdf68cec78f2dc54e255677c16785cd778fcd5c0
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 11:28:07 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 11:28:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bdf68cec

net-analyzer/fail2ban: Version bump (bug #627870 by Joe, patch by floppym).

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-analyzer/fail2ban/Manifest                         |  1 +
 ...fail2ban-99999999.ebuild => fail2ban-0.10.1.ebuild} | 18 +++++++++++++-----
 net-analyzer/fail2ban/fail2ban-99999999.ebuild         |  4 +++-
 3 files changed, 17 insertions(+), 6 deletions(-)

diff --git a/net-analyzer/fail2ban/Manifest b/net-analyzer/fail2ban/Manifest
index b2e14287711..6dadb26f74f 100644
--- a/net-analyzer/fail2ban/Manifest
+++ b/net-analyzer/fail2ban/Manifest
@@ -1,2 +1,3 @@
+DIST fail2ban-0.10.1.tar.gz 465197 BLAKE2B 
1e9ed7d07f4565f49e6ebec9ba1ebbbb9835d2eab69d786672addbdf32b2d350a582927cf56722eea91c1420e2d0d7d7564c2739d412c33f639551fa83a7d4ad
 SHA512 
80170082903b7d92732a7accd8ec5188f4b08b57ce46c2df9bc014771ab50602df2065abe87ccb890cfba41699f5441ebfe4648090ffcedb83e0374e509002f2
 DIST fail2ban-0.9.6.tar.gz 352145 BLAKE2B 
a529a7a1c78f29f457abc26215da015f7624f6d777571e96725775557725b6cbbfda5068e77520f1b3c20efcff07c11f210c5cca3ed47cf86c6f5e87c503052f
 SHA512 
c09778d39741dc38d1073495a9f491012717d5ed04d28722f2ae6755104bdcc472baf06d33f500fed592b04c05277ba5cf74e527f1c0ed751108f4f1be22fa7e
 DIST fail2ban-0.9.7.tar.gz 356410 BLAKE2B 
0dc83741825299236e70f6544155ccefea9682b6b62ee98087918433fe5c3795331bdbc92ee003ec794739d9a826293fd0c20518dd4c0c0bc5c6b963941d11d4
 SHA512 
117b2cad742636c84ddd1f7de04abb603a74893eae062bd19edcde70a7246bc02157b644ee7192e5bcbd4c45ff6c541d5c598846bdd2dcbab21b884c6402f94d

diff --git a/net-analyzer/fail2ban/fail2ban-99999999.ebuild 
b/net-analyzer/fail2ban/fail2ban-0.10.1.ebuild
similarity index 85%
copy from net-analyzer/fail2ban/fail2ban-99999999.ebuild
copy to net-analyzer/fail2ban/fail2ban-0.10.1.ebuild
index e847560915e..ffb03e0fe70 100644
--- a/net-analyzer/fail2ban/fail2ban-99999999.ebuild
+++ b/net-analyzer/fail2ban/fail2ban-0.10.1.ebuild
@@ -2,18 +2,18 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
 DISTUTILS_SINGLE_IMPL=1
 
-inherit distutils-r1 eutils systemd git-r3
+inherit distutils-r1 eutils systemd vcs-snapshot
 
 DESCRIPTION="scans log files and bans IPs that show malicious signs"
 HOMEPAGE="http://www.fail2ban.org/";
-EGIT_REPO_URI="https://github.com/${PN}/${PN}";
+SRC_URI="https://github.com/${PN}/${PN}/tarball/${PV} -> ${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
 IUSE="selinux systemd"
 
 # TODO support ipfw and ipfilter
@@ -46,6 +46,13 @@ python_prepare_all() {
        distutils-r1_python_prepare_all
 }
 
+python_compile() {
+       if python_is_python3; then
+               ./fail2ban-2to3 || die
+       fi
+       distutils-r1_python_compile
+}
+
 python_test() {
        "${PYTHON}" "bin/${PN}-testcases" || die "tests failed with ${EPYTHON}"
 }
@@ -58,7 +65,8 @@ python_install_all() {
        # not FILESDIR
        newconfd files/gentoo-confd ${PN}
        newinitd files/gentoo-initd ${PN}
-       systemd_dounit files/${PN}.service
+       sed -e "s:@BINDIR@:${EPREFIX}/usr/bin:g" files/${PN}.service.in > 
"${T}/${PN}.service" || die
+       systemd_dounit "${T}/${PN}.service"
        systemd_dotmpfilesd files/${PN}-tmpfiles.conf
        doman man/*.{1,5}
 

diff --git a/net-analyzer/fail2ban/fail2ban-99999999.ebuild 
b/net-analyzer/fail2ban/fail2ban-99999999.ebuild
index e847560915e..c55edd10429 100644
--- a/net-analyzer/fail2ban/fail2ban-99999999.ebuild
+++ b/net-analyzer/fail2ban/fail2ban-99999999.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
 DISTUTILS_SINGLE_IMPL=1
 
 inherit distutils-r1 eutils systemd git-r3
@@ -59,6 +59,8 @@ python_install_all() {
        newconfd files/gentoo-confd ${PN}
        newinitd files/gentoo-initd ${PN}
        systemd_dounit files/${PN}.service
+       sed -e "s:@BINDIR@:${EPREFIX}/usr/bin:g" files/${PN}.service.in > 
"${T}"/${PN}.service || die
+       systemd_dounit "${T}"/${PN}.service
        systemd_dotmpfilesd files/${PN}-tmpfiles.conf
        doman man/*.{1,5}
 

Reply via email to